Older versions of Google Voice no longer connecting to the Google Network

7 posts
Thanks Meter: 1
By internationalistic, Junior Member on 21st January 2014, 09:53 PM
Post Reply Subscribe to Thread Email Thread
I have been using Google Voice v0.4.2.32 on my Android Phone for a couple years. On 01/03/2014 my Google Voice App stopped working on three of my phones. It no longer updates when I receive new Voicemails or texts. First I checked for service outages but I didn't find any. I was able to log into my account online, but not through the android app. Then I went though these steps to troubleshoot the issue:

1. I first tried to log out and then log back into the app but I got this error message: "We have a problem. Your account status could not be loaded. Please try again."

2. I updated my version successively to,,, and when I got to, I couldn't use the app anymore because it required that my phone be signed into a Google Account (I use an android phone but I do not have it connected to a Google Account)

3. Then I did the same thing on another android phone that I have connected to a Google Account and when I updated to, and I signed in with the google account connected to my phone, it worked. After that, I downgraded back to and the app would no longer connect to the network. It would not connect to the network even when I tried to sign in with the Google Account attached to the phone on versions older than I kept getting this error: "We have a problem. Your account status could not be loaded. Please try again."

I posted this on the Google Voice Forum and someone else also confirmed the same problem and another person seemed to have the same issue in a different post. I would provide links but I am prevented because I have not met the minimum post requirement on the forum.

This essentially prevents any android phone that's not connected to a Google account from using the Google Voice app. Before January 3, 2014, anyone could use GV on their phone if they stayed with and older version (which was a much smaller app than the most recent version). Now only users using a more recent version ( of Google Voice with a Google account attached to their phone can use the app.

I did not find any announcements by Google of this change in their service. Does anyone else have this problem and/or know why this change has been made.
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes